Subject: Re: [KEYPROV] Working through the PROTO examples...

From: "Pei, Mingliang" <[email-masked]>
Date: Thu, 8 Apr 2010 17:26:41 -0700

Hi Phillip,

Thank you very much for the check. I am going to have it fixed. The
first one was added in the last version with an example generated from
JAXB code with the schema. It also failed to pass schema validation when
I went through XML Spy today. The other one is a typo when we removed
the "<pskc:EncryptionScheme ..." from the element.

- Ming 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Phillip Hallam-Baker
> Sent: Monday, March 29, 2010 9:59 AM
> To: [email-masked]
> Subject: [KEYPROV] Working through the PROTO examples...
> 
> All,
> 
> I have been working through the XML Schema check for PROTO submission.
> Have noticed some issues:
> 
> B.1.  Trigger Message
>             <dskpp:DeviceId>
>                 <pskc:Manufacturer>TokenVendorAcme</pskc:Manufacturer>
>                 <pskc:SerialNo>987654321</pskc:SerialNo>
>                 <pskc:StartDate>2009-09-01Z</pskc:StartDate>
>                 <pskc:ExpiryDate>2014-09-01Z</pskc:ExpiryDate>
>             </dskpp:DeviceId>
> 
> These are XML Schema Dates, but the element is typed 
> DateTime. This is throwing errors in Visual Studio (which 
> appear correct).
> 
> 
> On Page 86 we have a syntax error:
> 
>                                 <xenc:EncryptionMethod
>                                     Algorithm=
>                                        "http://www.w3.org/2001/04/
>                                        xmlenc#aes128-cbc"/>
>                                 </xenc:EncryptionMethod>
> 
> --
> New Website: http://hallambaker.com/
> View Quantum of Stupid podcasts, Tuesday and Thursday each 
> week, http://quantumofstupid.com/ 
> _______________________________________________
> KEYPROV mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/keyprov
>